kafka-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Hussein Baghdadi <hubaghd...@hotmail.com>
Subject Changed Scala version to 2.9.2 and got Zookeeper error
Date Wed, 31 Oct 2012 09:57:26 GMT

Hi,
I downloaded Kafka 0.7.2 and changed project/build.properties to:
project.name=Kafkasbt.version=0.7.5project.version=0.7.2build.scala.versions=2.9.2contrib.root.dir=contriblib.dir=libtarget.dir=target/scala_2.9.2dist.dir=dist
then ./sbtupdatepackagepublish-local
I got a couple of warnings but the final message was "successful"
But when trying to: bin/zookeeper-server-start.sh config/zookeeper.properties 
I got:
Exception in thread "main" java.lang.NoClassDefFoundError: org/apache/zookeeper/server/quorum/QuorumPeerMainCaused
by: java.lang.ClassNotFoundException: org.apache.zookeeper.server.quorum.QuorumPeerMain	at
java.net.URLClassLoader$1.run(URLClassLoader.java:202)	at java.security.AccessController.doPrivileged(Native
Method)	at java.net.URLClassLoader.findClass(URLClassLoader.java:190)	at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)	at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
I don't know how changing Scala version to 2.9.2 is going to affect ZooKeeperAny ideas what
might going wrong?
Thanks for help and time. 		 	   		  
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message